import request from '@/utils/request'

const database = (data) => {
  return request({
    url: `/realtimeDatabaseConfiguration/listByPage?name=${encodeURIComponent(
      data.name
    )}&pageNum=${data.pageNum}&pageSize=${data.pageSize}`,
    method: 'get',
  })
}
const addDatabase = (pairs) => {
  return request({
    url: `/realtimeDatabaseConfiguration/save`,
    method: 'post',
    data: pairs,
  })
}
const deleteDatabase = (data) => {
  return request({
    url: `/realtimeDatabaseConfiguration/remove-modelpower?ids=${data.id}`,
    method: 'delete',
  })
}

// 设备厂商
// DELETE
// /pro-econ-manufacturer/{ids}
// 设备厂商-删除
// POST
// /pro-econ-manufacturer/add
// 设备厂商-新增or修改
// GET
// /pro-econ-manufacturer/list
// 设备厂商-列表
const manufacturer = (data) => {
  return request({
    url: `/pro-econ-manufacturer/list?name=${encodeURIComponent(
      data.name
    )}&pageNum=${data.pageNum}&pageSize=${data.pageSize}`,
    method: 'get',
  })
}
const addManufacturer = (pairs) => {
  return request({
    url: `/pro-econ-manufacturer/add`,
    method: 'post',
    data: pairs,
  })
}
const deleteManufacturer = (data) => {
  return request({
    url: `/pro-econ-manufacturer/ids=${data.id}`,
    method: 'delete',
  })
}

// 设备类型
// DELETE
// /pro-basic-model-power/{ids}
// 设备类型对应功率表-删除
// POST
// /pro-basic-model-power/add
// 设备类型对应功率表-新增or修改
// GET
// /pro-basic-model-power/list
// 设备类型对应功率表-列表
const modelpower = (data) => {
  return request({
    url: `/pro-basic-model-power/list?modelId=${data.modelid}&pageNum=${data.pageNum}&pageSize=${data.pageSize}`,
    method: 'get',
  })
}
const addModelpower = (pairs) => {
  return request({
    url: `/pro-basic-model-power/add`,
    method: 'post',
    data: pairs,
  })
}
const deleteModelpower = (data) => {
  return request({
    url: `/pro-basic-model-power/${data.id}`,
    method: 'delete',
  })
}

// 变电所
const windsubstation = (data) => {
  return request({
    url: `/pro-basic-windsub-station/List?name=${encodeURIComponent(
      data.name
    )}&pageNum=${data.pageNum}&pageSize=${data.pageSize}`,
    method: 'get',
  })
}
const addWindsubstation = (pairs) => {
  return request({
    url: `/pro-basic-windsub-station/save`,
    method: 'post',
    data: pairs,
  })
}
// /pro-basic-windsub-station/remove-WindsubStation/{ids}
const deleteWindsubstation = (data) => {
  return request({
    url: `/pro-basic-windsub-station/remove-WindsubStation/${data.id}`,
    method: 'delete',
  })
}

export default {
  database,
  addDatabase,
  deleteDatabase,
  addManufacturer,
  addModelpower,
  addWindsubstation,
  manufacturer,
  modelpower,
  windsubstation,
  deleteManufacturer,
  deleteModelpower,
  deleteWindsubstation,
}
